<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">手环</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="手环"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search lay-filter="kind">
                    <option value="1">合成纸</option>
                    <option value="2">杜邦纸</option>
                </select>
            </div>
            <p>
                尺寸(MM/厘米)
            </p>
            <div class="layui-form-item" id="ui_size">
                <select name="size" id="size" class="layui-form-select">
                    <option value="19*200">19*200MM</option>
                    <option value="19*250">19*250MM</option>
                </select>
            </div>
            <p>
                数量(个)
                <span>
                    <input type="checkbox" name="switchCount" lay-filter="switchCount" title="自定义数量">
                </span>
            </p>
            <div class="layui-form-item">
                <select class="layui-form-select" name="count" id="count">
                    <option value="50">50</option>
                    <option value="100">100</option>
                    <option value="200">200</option>
                    <option value="300">300</option>
                    <option value="400">400</option>
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                    <option value="3000">3000</option>
                    <option value="5000">5000</option>
                    <option value="7000">7000</option>
                    <option value="10000">10000</option>
                    <option value="30000">30000</option>
                    <option value="50000">50000</option>
                    <option value="100000">100000</option>
                </select>
            </div>
            <div class="layui-form-item" style="display: none">
                <input type="text" name="count" id="diyCount" placeholder="请输入整数" class="layui-input" autocomplete="off"
                       disabled>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="直角裁切" title="直角裁切" checked>
                </div>

                <div class="layui-input-block">
                    常见工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="可变二维码" title="可变二维码">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="序列号" title="序列号">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="可变二维码+序列号" title="可变二维码+序列号">
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;


        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["单面"];

        const carft_list2 = ["直角裁切"];

        const carft_list3 = ["序列号", "可变二维码", "可变二维码+序列号"];

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });
        form.on('checkbox(switchCount)', function (data) {
            $("#diyCount").parent().hide()
            $("#count").parent().show()
            $("#count").attr("disabled", false);
            $("#diyCount").attr("disabled", true);
            if (data.elem.checked) {
                $("#diyCount").parent().show()
                $("#count").parent().hide()
                $("#count").attr("disabled", true);
                $("#diyCount").attr("disabled", false);

            }
            form.render();
        })
        form.on('select(kind)', function (data) {
            let html = `<option value="19*200">19*200MM</option>
                        <option value="19*250">19*250MM</option>
                        `;
            if (data.value == "2") {
                html = `<option value="19*200">19*200MM</option>
                        <option value="19*250">19*250MM</option>
                        <option value="25*250">25*250MM</option>
                        `;

            }
            $("#size").empty();
            $("#size").append(html);
            form.render();
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );

            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length == 0) {
                $(data.elem).prop("checked", true);
                layer.msg("印面工艺不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length == 0) {
                $(data.elem).prop("checked", false);
                layer.msg("裁切工艺不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count option:selected").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            if ($("input[name='switchCount']").is(":checked")) {
                count = $("#count").val();
            }
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        craft.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    craft.push($(this).val());
                }
            });

            const carft1 = carft_list1.filter(item => craft.includes(item));
            if (carft1.length == 0) {
                layer.msg("请选择印面工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft2 = carft_list2.filter(item => craft.includes(item));
            if (carft2.length == 0) {
                layer.msg("请选择裁切工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '手环 - ' + kind + ' - ' + size + ' MM (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>